## kseg 0.3

=== Makefile ===
# Makefile for KSEG
CC = gcc
QTINCLUDE = -I$(QTDIR)/include
CCFLAGS = -c -O2 -fno-rtti -fno-exceptions
LIBS = -lm -L$(QTDIR)/lib -lqt -lz
MOC = $(QTDIR)/bin/moc
LUPDATE = $(QTDIR)/bin/lupdate
LRELEASE = $(QTDIR)/bin/lrelease


OBJECTS = main.o G_drawstyle.o G_point.o G_line.o KSegView.o KSegDocument.o \
	G_ref.o G_refs.o G_object.o G_label.o G_pointObject.o G_lineObject.o \
	G_segment.o G_segmentObject.o KSegWindow.o menu.o cans.o G_ray.o \
	G_rayObject.o G_circle.o G_circleObject.o G_undo.o G_undoStack.o G_arc.o \
	G_arcObject.o G_locus.o G_locusObject.o G_pointLocus.o G_measureObject.o \
	G_calculateObject.o KSegCalculateEditor.o KSegConstruction.o \
	KSegConstructionList.o KSegConstructionListNamer.o G_refSearcher.o \
	KSegRecursionDialog.o G_arcSector.o G_arcSegment.o G_polygon.o \
	G_circleInterior.o G_circleInteriorObject.o G_arcSegmentObject.o \
	G_arcSectorObject.o G_polygonObject.o BuildReverse.o KSegProperties.o

FORMULA_OBJECTS = formula/box.o formula/kformulaedit.o formula/kformula.o \
	formula/matrixbox.o formula/MatrixDialog.o

all: formula-make kseg

kseg: $(OBJECTS) $(FORMULA_OBJECTS)
	$(CC) $(FORMULA_OBJECTS) $(OBJECTS) $(LIBS) -o kseg

formula-make:
	cd formula && make

trans:
	$(LUPDATE) kseg.pro
	$(LRELEASE) kseg.pro

.cpp.o:
	$(CC) $(CCFLAGS) $(QTINCLUDE) $<

#so it doesn't compile too slowly, optimization is set to 1
BuildReverse.o: BuildReverse.cpp
	$(CC) $(CCFLAGS) $(QTINCLUDE) -O1 $<

MOCS = *.moc

#MOCS:
KSegView.o: KSegView.moc
KSegView.moc: KSegView.H
	$(MOC) KSegView.H -o KSegView.moc

KSegDocument.o: KSegDocument.moc
KSegDocument.moc: KSegDocument.H
	$(MOC) KSegDocument.H -o KSegDocument.moc

KSegConstruction.o: KSegConstruction.moc
KSegConstruction.moc: KSegConstruction.H
	$(MOC) KSegConstruction.H -o KSegConstruction.moc

KSegConstructionList.o: KSegConstructionList.moc
KSegConstructionList.moc: KSegConstructionList.H
	$(MOC) KSegConstructionList.H -o KSegConstructionList.moc

KSegWindow.o: KSegWindow.moc
KSegWindow.moc: KSegWindow.H
	$(MOC) KSegWindow.H -o KSegWindow.moc

KSegRecursionDialog.o: KSegRecursionDialog.moc
KSegRecursionDialog.moc: KSegRecursionDialog.H
	$(MOC) KSegRecursionDialog.H -o KSegRecursionDialog.moc

KSegCalculateEditor.o: KSegCalculateEditor.moc
KSegCalculateEditor.moc: KSegCalculateEditor.H
	$(MOC) KSegCalculateEditor.H -o KSegCalculateEditor.moc

#do a makedepend and remove all the external dependencies from the makefile
#works on my system, no one else should need to do it.
depend:
	makedepend *.cpp >& /dev/null
	perl -pi -e 's/\.c\.o/\.o/' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/^[a-zA-Z].*\.o\:\s*$$//' Makefile
	cd formula && make depend

clean:
	rm -f $(MOCS) $(OBJECTS) kseg *~ core gmon.out
	cd formula && make clean

#for me--makes a distribution file.
DISTDIR = kseg-0.3

dist:   trans
	mkdir $(DISTDIR)
	cp *.cpp *.H Makefile *.ts *.qm README VERSION AUTHORS COPYING $(DISTDIR)
	cp kseg.lsm kseg.pro README.translators seg.plan INSTALL INSTALL_PT $(DISTDIR)
	cp ChangeLog $(DISTDIR)
	mkdir $(DISTDIR)/formula
	cp formula/*.cpp formula/*.H formula/Makefile $(DISTDIR)/formula
	mkdir $(DISTDIR)/pics
	cp pics/*.xpm $(DISTDIR)/pics
	mkdir $(DISTDIR)/examples
	cp examples/*.sec examples/*.seg $(DISTDIR)/examples
	tar cvfz $(DISTDIR).tar.gz $(DISTDIR)
	rm -r $(DISTDIR)

# DO NOT DELETE


BuildReverse.o: defs.H formula/box.H formula/kformula.H G_arc.H
BuildReverse.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
BuildReverse.o: G_drawstyle.H G_geometry.H G_label.H G_line.H G_locus.H
BuildReverse.o: G_matrix.H G_object.H G_point.H G_polygon.H G_ray.H G_ref.H
BuildReverse.o: G_refs.H G_segment.H 
cans.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H G_geometry.H
cans.o: G_label.H G_point.H G_ref.H G_refSearcher.H G_refs.H G_undo.H
cans.o: G_undoStack.H KSegConstruction.H KSegDocument.H
G_arc.o: defs.H formula/box.H formula/kformula.H G_arc.H G_circle.H
G_arc.o: G_drawstyle.H G_geometry.H G_label.H G_line.H G_matrix.H G_point.H
G_arc.o: G_ray.H G_ref.H G_refs.H G_segment.H KSegView.H
G_arcObject.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_arcObject.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_arcObject.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H
G_arcObject.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_arcSector.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_arcSector.o: G_drawstyle.H G_geometry.H G_label.H G_line.H G_matrix.H
G_arcSector.o: G_point.H G_ray.H G_ref.H G_refs.H G_segment.H KSegView.H
G_arcSectorObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_arcSectorObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_arcSectorObject.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_arcSectorObject.o: G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_arcSectorObject.o: G_ray.H G_ref.H G_refs.H G_segment.H
G_arcSegment.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_arcSegment.o: G_arcSector.H G_arcSegment.H G_drawstyle.H G_geometry.H
G_arcSegment.o: G_label.H G_line.H G_matrix.H G_point.H G_ray.H G_ref.H
G_arcSegment.o: G_refs.H G_segment.H KSegView.H 
G_arcSegmentObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_arcSegmentObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_arcSegmentObject.o: G_circleInterior.H G_drawstyle.H G_geometry.H
G_arcSegmentObject.o: G_label.H G_line.H G_locus.H G_object.H G_point.H
G_arcSegmentObject.o: G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_calculateObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_calculateObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_calculateObject.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_calculateObject.o: G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_calculateObject.o: G_ray.H G_ref.H G_refs.H G_segment.H G_undo.H
G_calculateObject.o: G_undoStack.H KSegDocument.H 
G_circle.o: defs.H formula/box.H formula/kformula.H G_circle.H G_drawstyle.H
G_circle.o: G_geometry.H G_label.H G_line.H G_matrix.H G_point.H G_ray.H
G_circle.o: G_ref.H G_refs.H G_segment.H KSegView.H 
G_circleInterior.o: defs.H formula/box.H formula/kformula.H G_circle.H
G_circleInterior.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_circleInterior.o: G_line.H G_matrix.H G_point.H G_ray.H G_ref.H G_refs.H
G_circleInterior.o: G_segment.H KSegView.H 
G_circleInteriorObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_circleInteriorObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_circleInteriorObject.o: G_circleInterior.H G_drawstyle.H G_geometry.H
G_circleInteriorObject.o: G_label.H G_line.H G_locus.H G_object.H G_point.H
G_circleInteriorObject.o: G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_circleObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_circleObject.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_circleObject.o: G_drawstyle.H G_geometry.H G_label.H G_line.H G_locus.H
G_circleObject.o: G_object.H G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H
G_circleObject.o: G_segment.H  
G_drawstyle.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H
G_drawstyle.o: G_geometry.H G_label.H G_point.H G_ref.H G_refs.H
G_label.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_label.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_label.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H G_point.H
G_label.o: G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_line.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H G_geometry.H
G_line.o: G_label.H G_line.H G_matrix.H G_point.H G_ref.H G_refs.H
G_line.o: G_segment.H KSegView.H  
G_lineObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_lineObject.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_lineObject.o: G_drawstyle.H G_geometry.H G_label.H G_line.H G_locus.H
G_lineObject.o: G_object.H G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H
G_lineObject.o: G_segment.H  
G_locus.o: defs.H G_geometry.H G_locus.H G_point.H 
G_locusObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_locusObject.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_locusObject.o: G_drawstyle.H G_geometry.H G_label.H G_line.H G_locus.H
G_locusObject.o: G_object.H G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H
G_locusObject.o: G_segment.H  
G_measureObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_measureObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_measureObject.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_measureObject.o: G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_measureObject.o: G_ray.H G_ref.H G_refs.H G_segment.H
G_object.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_object.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_object.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H G_point.H
G_object.o: G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_point.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H
G_point.o: G_geometry.H G_label.H G_line.H G_matrix.H G_point.H G_ref.H
G_point.o: G_refs.H G_segment.H KSegView.H 
G_pointLocus.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_pointLocus.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_pointLocus.o: G_drawstyle.H G_geometry.H G_label.H G_line.H G_locus.H
G_pointLocus.o: G_object.H G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H
G_pointLocus.o: G_segment.H  
G_pointObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_pointObject.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_pointObject.o: G_drawstyle.H G_geometry.H G_label.H G_line.H G_locus.H
G_pointObject.o: G_object.H G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H
G_pointObject.o: G_segment.H  
G_polygon.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H
G_polygon.o: G_geometry.H G_label.H G_line.H G_matrix.H G_point.H
G_polygon.o: G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H KSegView.H
G_polygonObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_polygonObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_polygonObject.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_polygonObject.o: G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_polygonObject.o: G_ray.H G_ref.H G_refs.H G_segment.H
G_ray.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H G_geometry.H
G_ray.o: G_label.H G_line.H G_matrix.H G_point.H G_ray.H G_ref.H G_refs.H
G_ray.o: G_segment.H KSegView.H  
G_rayObject.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_rayObject.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_rayObject.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H
G_rayObject.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_ref.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_ref.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_ref.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H G_point.H
G_ref.o: G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H G_undo.H
G_ref.o: G_undoStack.H KSegConstruction.H KSegDocument.H
G_refs.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H G_geometry.H
G_refs.o: G_label.H G_point.H G_ref.H G_refSearcher.H G_refs.H
G_refSearcher.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H
G_refSearcher.o: G_geometry.H G_label.H G_point.H G_ref.H G_refSearcher.H
G_refSearcher.o: G_refs.H  
G_segment.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H
G_segment.o: G_geometry.H G_label.H G_line.H G_matrix.H G_point.H G_ref.H

=== formula/Makefile ===
# Makefile for formula
CC = gcc
QTINCLUDE = -I$(QTDIR)/include
CCFLAGS = -c -O2 -fno-rtti -fno-exceptions
LIBS = 
MOC = $(QTDIR)/bin/moc

OBJECTS = box.o kformula.o kformulaedit.o matrixbox.o MatrixDialog.o

formula: $(OBJECTS)

.cpp.o:
	$(CC) $(CCFLAGS) $(QTINCLUDE) $<

MOCS = kformulaedit.moc MatrixDialog.moc

#MOCS:
kformulaedit.o: kformulaedit.moc
kformulaedit.moc: kformulaedit.H
	$(MOC) kformulaedit.H -o kformulaedit.moc

MatrixDialog.o: MatrixDialog.moc
MatrixDialog.moc: MatrixDialog.H
	$(MOC) MatrixDialog.H -o MatrixDialog.moc

depend:
	makedepend *.cpp >& /dev/null
	perl -pi -e 's/\.c\.o/\.o/' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/^[a-zA-Z].*\.o\:\s*$$//' Makefile

clean:
	rm -f $(MOCS) $(OBJECTS) *~

# DO NOT DELETE


box.o: box.H kformula.H 
kformula.o: box.H kformula.H matrixbox.H 
kformulaedit.o: box.H kformulaedit.H kformulaedit.moc kformula.H
kformulaedit.o: MatrixDialog.H 
matrixbox.o: box.H kformula.H matrixbox.H 
MatrixDialog.o: MatrixDialog.H MatrixDialog.moc

## kseg 0.4

=== Makefile ===
# Makefile for KSEG
CC = g++
QTINCLUDE = -I$(QTDIR)/include
CCFLAGS = -c -Wall -O2 -fomit-frame-pointer -ffast-math
LIBS = -lm -L$(QTDIR)/lib -lqt -lz
MOC = $(QTDIR)/bin/moc
LUPDATE = $(QTDIR)/bin/lupdate
LRELEASE = $(QTDIR)/bin/lrelease


GEOMETRY_OBJECTS = G_point.o G_line.o G_segment.o G_ray.o G_circle.o G_arc.o \
	G_locus.o G_arcSector.o G_arcSegment.o G_polygon.o \
	G_circleInterior.o

DEFINITION_OBJECTS = G_object.o G_pointObject.o G_lineObject.o G_segmentObject.o \
	G_rayObject.o G_circleObject.o G_arcObject.o G_locusObject.o \
	G_pointLocus.o G_measureObject.o G_calculateObject.o \
	G_circleInteriorObject.o G_arcSegmentObject.o G_arcSectorObject.o \
	G_polygonObject.o

UI_OBJECTS = KSegView.o KSegWindow.o KSegCalculateEditor.o \
	KSegConstructionList.o KSegConstructionListNamer.o \
	KSegRecursionDialog.o KSegPreferencesDialog.o KSegSelectionGroupDialog.o

MAIN_OBJECTS = main.o G_drawstyle.o KSegDocument.o G_ref.o G_refs.o G_label.o \
	menu.o cans.o G_undo.o G_undoStack.o KSegConstruction.o \
	G_refSearcher.o BuildReverse.o KSegProperties.o KSegMenuMaintainer.o \
	KSegMenus.o

OBJECTS = $(GEOMETRY_OBJECTS) $(DEFINITION_OBJECTS) $(UI_OBJECTS) $(MAIN_OBJECTS)

FORMULA_OBJECTS = formula/box.o formula/kformulaedit.o formula/kformula.o \
	formula/matrixbox.o formula/MatrixDialog.o

all: formula-make kseg

kseg: $(OBJECTS) $(FORMULA_OBJECTS)
	$(CC) $(FORMULA_OBJECTS) $(OBJECTS) $(LIBS) -o kseg

formula-make:
	cd formula && make

trans:
	$(LUPDATE) kseg.pro
	$(LRELEASE) kseg.pro

.cpp.o:
	$(CC) $(CCFLAGS) $(QTINCLUDE) $<

#so it doesn't compile too slowly, optimization is set to 1
#disabled since most versions of gcc seem to be able to handle it
#BuildReverse.o: BuildReverse.cpp
#	$(CC) $(CCFLAGS) $(QTINCLUDE) -O0 $<

MOCS = *.moc

#MOCS:
KSegView.o: KSegView.moc
KSegView.moc: KSegView.H
	$(MOC) KSegView.H -o KSegView.moc

KSegDocument.o: KSegDocument.moc
KSegDocument.moc: KSegDocument.H
	$(MOC) KSegDocument.H -o KSegDocument.moc

KSegConstruction.o: KSegConstruction.moc
KSegConstruction.moc: KSegConstruction.H
	$(MOC) KSegConstruction.H -o KSegConstruction.moc

KSegConstructionList.o: KSegConstructionList.moc
KSegConstructionList.moc: KSegConstructionList.H
	$(MOC) KSegConstructionList.H -o KSegConstructionList.moc

KSegWindow.o: KSegWindow.moc
KSegWindow.moc: KSegWindow.H
	$(MOC) KSegWindow.H -o KSegWindow.moc

KSegRecursionDialog.o: KSegRecursionDialog.moc
KSegRecursionDialog.moc: KSegRecursionDialog.H
	$(MOC) KSegRecursionDialog.H -o KSegRecursionDialog.moc

KSegPreferencesDialog.o: KSegPreferencesDialog.moc
KSegPreferencesDialog.moc: KSegPreferencesDialog.H
	$(MOC) KSegPreferencesDialog.H -o KSegPreferencesDialog.moc

KSegCalculateEditor.o: KSegCalculateEditor.moc
KSegCalculateEditor.moc: KSegCalculateEditor.H
	$(MOC) KSegCalculateEditor.H -o KSegCalculateEditor.moc

KSegMenuMaintainer.o: KSegMenuMaintainer.moc
KSegMenuMaintainer.moc: KSegMenuMaintainer.H
	$(MOC) KSegMenuMaintainer.H -o KSegMenuMaintainer.moc

KSegSelectionGroupDialog.o: KSegSelectionGroupDialog.moc
KSegSelectionGroupDialog.moc: KSegSelectionGroupDialog.H
	$(MOC) KSegSelectionGroupDialog.H -o KSegSelectionGroupDialog.moc

#do a makedepend and remove all the external dependencies from the makefile
#works on my system, no one else should need to do it.
depend:
	makedepend *.cpp >& /dev/null
	perl -pi -e 's/\.c\.o/\.o/' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/\/u[Ss]r[a-zA-Z0-9\+\-\/\.\_]*//' Makefile
	perl -pi -e 's/^[a-zA-Z].*\.o\:\s*$$//' Makefile
	cd formula && make depend

clean:
	rm -f $(MOCS) $(OBJECTS) kseg *~ core gmon.out
	cd formula && make clean

#for me--makes a distribution file.
DISTDIR = kseg-0.4

dist:   trans
	mkdir $(DISTDIR)
	cp *.cpp *.H Makefile *.ts *.qm README VERSION AUTHORS COPYING $(DISTDIR)
	cp kseg.lsm kseg.pro README.translators seg.plan INSTALL INSTALL_PT $(DISTDIR)
	cp ChangeLog *.html $(DISTDIR)
	mkdir $(DISTDIR)/formula
	cp formula/*.cpp formula/*.H formula/Makefile $(DISTDIR)/formula
	mkdir $(DISTDIR)/pics
	cp pics/*.xpm $(DISTDIR)/pics
	mkdir $(DISTDIR)/examples
	cp examples/*.sec examples/*.seg $(DISTDIR)/examples
	tar cvfz $(DISTDIR).tar.gz $(DISTDIR)
	rm -r $(DISTDIR)

# DO NOT DELETE


BuildReverse.o: defs.H formula/box.H formula/kformula.H G_arc.H
BuildReverse.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
BuildReverse.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H
BuildReverse.o: G_object.H G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H
BuildReverse.o: G_segment.H my_hash_map.H my_hash_set.H
cans.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H G_geometry.H
cans.o: G_label.H G_point.H G_ref.H G_refSearcher.H G_refs.H G_undo.H
cans.o: G_undoStack.H KSegConstruction.H KSegDocument.H
cans.o: KSegSelectionGroupDialog.H my_hash_map.H my_hash_set.H
G_arc.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_arc.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_arc.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H G_object.H
G_arc.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_arc.o: KSegView.H my_hash_map.H my_hash_set.H 
G_arcObject.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_arcObject.o: G_arcSegment.H G_circle.H G_circleInterior.H G_geometry.H
G_arcObject.o: G_label.H G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_arcObject.o: G_ray.H G_ref.H G_refs.H G_segment.H my_hash_set.H
G_arcSector.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_arcSector.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_arcSector.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H
G_arcSector.o: G_object.H G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H
G_arcSector.o: G_segment.H KSegView.H my_hash_map.H my_hash_set.H
G_arcSectorObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_arcSectorObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_arcSectorObject.o: G_circleInterior.H G_geometry.H G_label.H G_line.H
G_arcSectorObject.o: G_locus.H G_object.H G_point.H G_polygon.H G_ray.H
G_arcSectorObject.o: G_ref.H G_refs.H G_segment.H my_hash_set.H
G_arcSegment.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_arcSegment.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_arcSegment.o: G_drawstyle.H G_geometry.H G_label.H G_line.H G_locus.H
G_arcSegment.o: G_matrix.H G_object.H G_point.H G_polygon.H G_ray.H G_ref.H
G_arcSegment.o: G_refs.H G_segment.H KSegView.H my_hash_map.H my_hash_set.H
G_arcSegmentObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_arcSegmentObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_arcSegmentObject.o: G_circleInterior.H G_geometry.H G_label.H G_line.H
G_arcSegmentObject.o: G_locus.H G_object.H G_point.H G_polygon.H G_ray.H
G_arcSegmentObject.o: G_ref.H G_refs.H G_segment.H my_hash_set.H
G_calculateObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_calculateObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_calculateObject.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_calculateObject.o: G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_calculateObject.o: G_ray.H G_ref.H G_refs.H G_segment.H G_undo.H
G_calculateObject.o: G_undoStack.H KSegDocument.H KSegSelectionGroupDialog.H
G_calculateObject.o: my_hash_map.H my_hash_set.H 
G_circle.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_circle.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_circle.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H G_object.H
G_circle.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_circle.o: KSegView.H my_hash_map.H my_hash_set.H 
G_circleInterior.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_circleInterior.o: G_arcSector.H G_arcSegment.H G_circle.H
G_circleInterior.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_circleInterior.o: G_line.H G_locus.H G_matrix.H G_object.H G_point.H
G_circleInterior.o: G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_circleInterior.o: KSegView.H my_hash_map.H my_hash_set.H
G_circleInteriorObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_circleInteriorObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_circleInteriorObject.o: G_circleInterior.H G_geometry.H G_label.H G_line.H
G_circleInteriorObject.o: G_locus.H G_object.H G_point.H G_polygon.H G_ray.H
G_circleInteriorObject.o: G_ref.H G_refs.H G_segment.H my_hash_set.H
G_circleObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_circleObject.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_circleObject.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H
G_circleObject.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_circleObject.o: my_hash_set.H  
G_drawstyle.o: defs.H formula/box.H formula/kformula.H G_drawstyle.H
G_drawstyle.o: G_geometry.H G_label.H G_point.H G_ref.H G_refs.H
G_drawstyle.o: KSegProperties.H my_hash_map.H my_hash_set.H
G_label.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_label.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_label.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H G_point.H
G_label.o: G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H my_hash_set.H
G_line.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_line.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_line.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H G_object.H
G_line.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_line.o: KSegView.H my_hash_map.H my_hash_set.H 
G_lineObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_lineObject.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_lineObject.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H
G_lineObject.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_lineObject.o: my_hash_set.H  
G_locus.o: defs.H G_geometry.H G_locus.H G_point.H 
G_locusObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_locusObject.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_locusObject.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H
G_locusObject.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_locusObject.o: my_hash_set.H  
G_measureObject.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_measureObject.o: G_arcSector.H G_arcSegment.H G_circle.H
G_measureObject.o: G_circleInterior.H G_drawstyle.H G_geometry.H G_label.H
G_measureObject.o: G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_measureObject.o: G_ray.H G_ref.H G_refs.H G_segment.H G_undo.H
G_measureObject.o: G_undoStack.H KSegDocument.H KSegSelectionGroupDialog.H
G_measureObject.o: my_hash_map.H my_hash_set.H 
G_object.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_object.o: G_arcSegment.H G_circle.H G_circleInterior.H G_geometry.H
G_object.o: G_label.H G_line.H G_locus.H G_object.H G_point.H G_polygon.H
G_object.o: G_ray.H G_ref.H G_refs.H G_segment.H my_hash_set.H
G_point.o: defs.H formula/box.H formula/kformula.H G_arc.H G_arcSector.H
G_point.o: G_arcSegment.H G_circle.H G_circleInterior.H G_drawstyle.H
G_point.o: G_geometry.H G_label.H G_line.H G_locus.H G_matrix.H G_object.H
G_point.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H
G_point.o: KSegView.H my_hash_map.H my_hash_set.H 
G_pointLocus.o: defs.H formula/box.H formula/kformula.H G_arc.H
G_pointLocus.o: G_arcSector.H G_arcSegment.H G_circle.H G_circleInterior.H
G_pointLocus.o: G_geometry.H G_label.H G_line.H G_locus.H G_object.H
G_pointLocus.o: G_point.H G_polygon.H G_ray.H G_ref.H G_refs.H G_segment.H

=== formula/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for formula
-CC = gcc
+CC = g++
 QTINCLUDE = -I$(QTDIR)/include
-CCFLAGS = -c -O2 -fno-rtti -fno-exceptions
+CCFLAGS = -c -Wall -O2 -fomit-frame-pointer -ffast-math
 LIBS = 
 MOC = $(QTDIR)/bin/moc

## kseg 0.4.0.3

=== debian/changelog ===
kseg (0.4.0.3-3) unstable; urgency=low

  * Move source patches from debian patch into new quilt patches:
    - patches/compatibility-headers.patch
    - patches/main-set-languagedir.patch
  
  * rules:
  * control: Drop cdbs from build-dep.  Rewrite using dh; requires
    debhelper 7.4.12 for the qmake build system.  
  
  * control: Update Standards-Version to 3.8.4.0.  Move homepage URL from
    description to Homepage field.  Add ${misc:Depends}.
  
  * kseg.desktop: Add category Education.
  * kseg.menu: Change section to Applications/Science/Mathematics (thanks,
    Petter Reinholdtsen).  Closes: #567623.
  
  * kseg.xpm: Reduce to 32x32 pixels.

 -- Steve M. Robbins <smr@debian.org>  Sat, 30 Jan 2010 22:53:48 -0600

kseg (0.4.0.3-2) unstable; urgency=low

  * Install icon and desktop file (thanks, Vassilis Pandis).  Closes:
    #375777.
  
  * debian/kseg.menu: include icon path.

 -- Steve M. Robbins <smr@debian.org>  Sun,  2 Jul 2006 12:34:19 -0400

kseg (0.4.0.3-1) unstable; urgency=low

  * New upstream (v0.403).
  
  * debian/rules: Rewrite using cdbs.

 -- Steve M. Robbins <smr@debian.org>  Sat,  1 Jul 2006 23:51:55 -0400

kseg (0.4-2) unstable; urgency=low

  * G_pointLocus.cpp: Increase the number of sample points.  
  Closes: #297657.  Patch from upstream author in bug report.  

  * debian/kseg.menu: Add quoting.

 -- Steve M. Robbins <smr@debian.org>  Sun,  4 Sep 2005 11:28:47 -0400

kseg (0.4-1) unstable; urgency=low

  * New upstream.
  
  * G_pointLocus.cpp: Use static_cast to resolve ambiguous call to log().
    Closes: #196671.
  
  * main.cpp: Set default LanguageDir to /usr/share/kseg.  
  * Install kseg_help and *.qm files in there.
    Closes: #192830.

 -- Steve M. Robbins <smr@debian.org>  Sun,  8 Jun 2003 18:35:09 -0400

kseg (0.3.5.1-2) unstable; urgency=low

  * Build-depend on libqt3-compat-headers, to obtain qlist.h.
    Closes: #181544.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Feb 2003 13:01:01 -0500

kseg (0.3.5.1-1) unstable; urgency=low

  * New upstream.
  
  * Honour DEB_BUILD_OPTIONS to comply with policy 3.5.8.

 -- Steve M. Robbins <smr@debian.org>  Fri,  7 Feb 2003 21:58:00 -0500

kseg (0.3-3) unstable; urgency=low

  * Fix spelling mistake in description.  Closes: #124854.
  * Patch to build under GCC 3 or 2.  Mostly consists of adding 'std'; add
    files hash_map and hash_set.  Closes: #134158.
  
 -- Steve M. Robbins <smr@debian.org>  Tue,  5 Mar 2002 18:33:11 -0500

kseg (0.3-2) unstable; urgency=low

  * debian/rules: Turn off optimizer for alpha, due to compiler bugs.
    Closes: #121688.

 -- Steve M. Robbins <smr@debian.org>  Sat,  1 Dec 2001 16:07:22 -0500

kseg (0.3-1) unstable; urgency=low

  * Initial release.  Closes: 120591.

 -- Steve M. Robbins <smr@debian.org>  Wed, 21 Nov 2001 15:11:20 -0500

=== debian/control ===
Source: kseg
Homepage: http://www.mit.edu/~ibaran/kseg.html
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 7.4.12), libqt3-mt-dev, qt3-dev-tools
Standards-Version: 3.8.4.0

Package: kseg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sketchpad for planar Euclidean geometry
 KSEG allows you to interactively create a geometrical construction,
 similar to what you can do with a straight edge and compass.  Points
 may be inserted on the page with right mouse-button clicks, and then
 used to form segments, lines, circles, or other geometrical objects.
 At any time you can drag existing points around, and watch how the
 constructed objects respond.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install kseg usr/bin
	dh_install debian/kseg.xpm usr/share/pixmaps
	dh_install *.qm kseg_help* usr/share/kseg
	dh_install debian/kseg.desktop usr/share/applications

override_dh_installdocs:
	dh_installdocs AUTHORS README

override_dh_installman:
	dh_installman debian/kseg.1

override_dh_installexamples:
	dh_installexamples examples/*
